﻿

:root {
    --main-color: #319E0D;
    --main-color-one: #e0ffd7;
    --main-color-two: #239305;
    --main-light-two: #e6ffde;
    --main-blue: #145DA0;
}
.cta-link{
    color:#000!important
}

.main-color {
    color: var(--main-color);
}

hr {
    margin: 10px !important;
}
/* Header */
h1.ShareDivi_title {
    text-align: center;
    margin: 40px 0 20px;
    font-size: 34px;
    color: #1c7c32;
    font-weight: 700;
    letter-spacing: 0.5px;
}

/* Container */
.ShareDivi_Product_container {
    display: flex;
    margin: 0 auto;
    gap: 10px;
    padding: 0 0px 60px;
    padding: 20px;
}

/* Sidebar Filter */
.ShareDivi_filter-panel {
    flex: 0 0 290px;
    background: rgb(200 249 217 / 28%);
    backdrop-filter: blur(12px);
    border-radius: 20px;
    padding: 10px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
    height: fit-content;
    position: sticky;
    top: 30px;
    border: 1px solid #cdfadd;
}

    .ShareDivi_filter-panel h3 {
        font-size: 22px;
        font-weight: 600;
        color: #111;
        margin-bottom: 20px;
        border-bottom: 2px solid #e2e8f0;
        padding-bottom: 10px;
    }

    .ShareDivi_filter-panel label {
        display: block;
        margin-top: 15px;
        font-weight: 600;
        font-size: 14px;
        color: #333;
    }

    .ShareDivi_filter-panel select,
    .ShareDivi_filter-panel input[type="text"],
    .ShareDivi_filter-panel input[type="range"] {
        width: 100%;
        margin-top: 6px;
        padding: 10px;
        border-radius: 10px;
        border: 1px solid #d1d5db;
        background: #fff;
        transition: all 0.3s;
        font-size: 14px;
        height: 45px;
    }

        .ShareDivi_filter-panel select:focus,
        .ShareDivi_filter-panel input:focus {
            outline: none;
            border-color: #16a34a;
            box-shadow: 0 0 0 3px rgba(22, 163, 74, 0.2);
        }

.ShareDivi_range-values {
    display: flex;
    justify-content: space-between;
    font-size: 13px;
    margin-top: 4px;
    color: #555;
}

.ShareDivi_filter-buttons {
    display: flex;
    gap: 10px;
    margin-top: 25px;
}

    .ShareDivi_filter-buttons button {
        flex: 1;
        padding: 11px;
        border: none;
        border-radius: 10px;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s;
        font-size: 15px;
    }

    .ShareDivi_filter-buttons input[type="submit"] {
        flex: 1;
        padding: 11px;
        border: none;
        border-radius: 10px;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s;
        font-size: 15px;
    }

    .ShareDivi_filter-buttons a {
        flex: 1;
        padding: 11px;
        border: none;
        border-radius: 10px;
        font-weight: 600;
        cursor: pointer;
        transition: all 0.3s;
        font-size: 15px;
        text-align: center
    }

.ShareDivi_search-btn {
    background: linear-gradient(90deg, #16a34a, #22c55e) !important;
    color: #fff !important;
}

.ShareDivi_reset-btn {
    background: linear-gradient(90deg, #f97316, #fb923c);
    color: #fff;
}

.ShareDivi_filter-buttons button:hover {
    transform: scale(1.05);
}

/* Product Section */
.ShareDivi_product-section {
    flex: 1;
}

.ShareDivi_info-banner {
    background: linear-gradient(90deg, #dcfce7, #bbf7d0);
    border-radius: 16px;
    padding: 15px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    color: #166534;
    font-weight: 500;
    margin-bottom: 25px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.05);
}

    .ShareDivi_info-banner::before {
        content: "🎁";
        font-size: 22px;
    }

/* Product Grid */
.ShareDivi_product-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    gap: 25px;
}

/* Product Card */
.ShareDivi_product-card {
    background: #fff;
    border-radius: 18px;
    overflow: hidden;
    box-shadow: 0 10px 22px rgba(0, 0, 0, 0.07);
    transition: all 0.35s ease;
    display: flex;
    flex-direction: column;
    position: relative;
    border: 1px solid #319e0d63;
}

    .ShareDivi_product-card:hover {
        transform: translateY(-8px);
        box-shadow: 0 15px 35px rgba(0, 0, 0, 0.1);
    }

.ShareDivi_product-img {
    position: relative;
    width: 100%;
    height: 230px;
    background-size: cover;
    background-position: center;
    border-bottom: 1px solid #eee;
}

.ShareDivi_badge {
    position: absolute;
    top: 14px;
    right: 14px;
    background: linear-gradient(90deg, #16a34a, #22c55e);
    color: #fff;
    padding: 6px 12px;
    border-radius: 10px;
    font-size: 13px;
    font-weight: 600;
    box-shadow: 0 2px 6px rgba(0,0,0,0.15);
}

.ShareDivi_product-info {
    padding: 18px 20px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    flex-grow: 1;
}

.ShareDivi_product-category {
    display: flex;
    justify-content: space-between;
    font-size: 13px;
    color: #6b7280;
}

.ShareDivi_product-name {
    font-size: 15px;
    font-weight: 300;
    color: #111827;
}

.ShareDivi_price {
    font-size: 14px;
    line-height: 1.4;
}

    .ShareDivi_price a {
        cursor: pointer;
        color: #319e0d;
        font-size: 14px;
        font-weight: 600;
    }



.ShareDivi_discount {
    color: #059669;
    font-weight: 600;
    margin-left: 5px
}

.ShareDivi_old-price {
    text-decoration: line-through;
    color: #c95959c9;
    margin-left: 6px;
}

.ShareDivi_share-box {
    margin-top: auto;
    display: flex;
    justify-content: space-between;
    background: linear-gradient(90deg, #dcfce7, #bbf7d0);
    border-radius: 14px;
    padding: 12px;
    color: #065f46;
    font-size: 14px;
    font-weight: 600;
}

@media (max-width: 950px) {
    .ShareDivi_Product_container {
        flex-direction: column;
    }

    .ShareDivi_filter-panel {
        position: relative;
        width: 100%;
    }
}


.noUi-connect {
    background: var(--main-color) !important;
}

.noUi-horizontal {
    height: 10px !important;
}

.range-price-labels {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
}

.noUi-horizontal .noUi-handle {
    right: -5px !important;
    top: -4px !important;
    width: 15px !important;
    height: 15px !important;
    border-radius: 50% !important;
}

.noUi-handle:after, .noUi-handle:before {
    display: none !important;
}

/* -------------------
   PAGINATION
--------------------*/
.divPaging {
    text-align: center;
    margin-top: 30px;
}

    .divPaging a {
        color: var(--main-color);
        border: 1px solid var(--main-color-two);
        padding: 6px 12px;
        margin: 2px;
        border-radius: 8px;
        text-decoration: none;
        transition: all 0.2s;
    }

        .divPaging a:hover,
        .divPaging a.active {
            background: var(--main-color);
            color: #fff;
        }
